org.apache.solr.client.solrj.cloud.autoscaling

## Class DelegatingCloudManager

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.DelegatingCloudManager

All Implemented Interfaces:
  Closeable, AutoCloseable, SolrCloudManager, SolrCloseable

    public class DelegatingCloudManager
    extends Object
    implements SolrCloudManager

Base class for overriding some behavior of `SolrCloudManager`.

### Field Summary

Fields
`protected SolrCloudManager` `delegate`

### Constructor Summary

Constructors
Constructor and Description
`DelegatingCloudManager(SolrCloudManager delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ClusterStateProvider` `getClusterStateProvider()`
`DistribStateManager` `getDistribStateManager()`
`DistributedQueueFactory` `getDistributedQueueFactory()`
`NodeStateProvider` `getNodeStateProvider()`
`ObjectCache` `getObjectCache()`
`TimeSource` `getTimeSource()`
`byte[]` `httpRequest(String url, SolrRequest.METHOD method, Map<String,String> headers, String payload, int timeout, boolean followRedirects)`
`boolean` `isClosed()`
`SolrResponse` `request(SolrRequest req)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### delegate

    protected final SolrCloudManager delegate

### Constructor Detail

#### DelegatingCloudManager

    public DelegatingCloudManager(SolrCloudManager delegate)

### Method Detail

#### getClusterStateProvider

    public ClusterStateProvider getClusterStateProvider()

Specified by:
  `getClusterStateProvider` in interface `SolrCloudManager`

#### getNodeStateProvider

    public NodeStateProvider getNodeStateProvider()

Specified by:
  `getNodeStateProvider` in interface `SolrCloudManager`

#### getDistribStateManager

    public DistribStateManager getDistribStateManager()

Specified by:
  `getDistribStateManager` in interface `SolrCloudManager`

#### getDistributedQueueFactory

    public DistributedQueueFactory getDistributedQueueFactory()

Specified by:
  `getDistributedQueueFactory` in interface `SolrCloudManager`

#### getObjectCache

    public ObjectCache getObjectCache()

Specified by:
  `getObjectCache` in interface `SolrCloudManager`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `SolrCloseable`

#### getTimeSource

    public TimeSource getTimeSource()

Specified by:
  `getTimeSource` in interface `SolrCloudManager`

#### request

    public SolrResponse request(SolrRequest req)
                         throws IOException

Specified by:
  `request` in interface `SolrCloudManager`
Throws:
  `IOException`

#### httpRequest

    public byte[] httpRequest(String url,
                              SolrRequest.METHOD method,
                              Map<String,String> headers,
                              String payload,
                              int timeout,
                              boolean followRedirects)
                       throws IOException

Specified by:
  `httpRequest` in interface `SolrCloudManager`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`